/*----------------------------------------------------------------------
Pac-Man Evolution - Roberto Prieto
Copyright (C) 2018-2024 MegaStorm Systems
contact@megastormsystems.com - http://www.megastormsystems.com

This software is provided 'as-is', without any express or implied
warranty.  In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.

------------------------------------------------------------------------

Maze static definitions for standard games

------------------------------------------------------------------------ */

#ifndef MAZESTATICPME_H
#define MAZESTATICPME_H

const static signed int iMazeStaticNumber = 3;
const static signed int iMazeStaticLength = 868;
const static char* mazeStatic[] = {        
    "|||||||||||||||||||||||||||||......||..........||......||.||||.||.||||||||.||.||||.||.||||.||.||||||||.||.||||.||.||......||....||......||.||o||.||||.||.||.||.||||.||o||.||.||||.||.||.||.||||.||.||......||.||.||.||.||......||.||||.||....||....||.||||.||.|__|.|| |||||||| ||.|__|.||.||||.|| |||||||| ||.||||.||......              ......||.||.|||| |||--||| ||||.||.||.||.|||| |______| ||||.||.||.||...|| |______| ||...||.||.||||.|| |______| ||.||||.||.||||.|| |||||||| ||.||||.||......              ......||||.||.||||| || |||||.||.||||||.||.||||| || |||||.||.||| ...||.||....||....||.||... |.||||.||.||||||||.||.||||.||.||||.||.||||||||.||.||||.||......||....  ....||......||||.||.||.||||||||.||.||.||||||.||.||.||||||||.||.||.||||...||.......||.......||...||o|||||||.||.||.||.|||||||o||.|||||||.||.||.||.|||||||.||.........||....||.........|||||||||||||||||||||||||||||",
    "|||||||||||||||||||||||||||||............||............||.||||.|||||.||.|||||.||||.||o||||.|||||.||.|||||.||||o||...||....||.||.||....||...||||.||.||.||....||.||.||.|||__|.||.||.||.||.||.||.||.|__|||.||.||.||.||.||.||.||.|||   ....||....||....||....   |||.||||| |||||||| |||||.|||__|.||||| |||||||| |||||.|____|....||          ||....|____|.||.|| |||--||| ||.||.|__|||.||.   |______|   .||.||||...||.|| |______| ||.||...||.||||.|| |______| ||.||||.||.||||.|| |||||||| ||.||||.| ......||          ||...... |.||.||||||| || |||||||.||.||.||.||||||| || |||||||.||.||.||...||....||....||...||.||.||||.||.||||||||.||.||||.||.||||.||.||||||||.||.||||.||............  ............||.|||||||.||||||||.|||||||.||.|||||||.||||||||.|||||||.||......||....||....||......||o||||.||.||.||.||.||.||||o||.||||.||.||.||.||.||.||||.||.........||....||.........|||||||||||||||||||||||||||||",
    "|||||||||||||||||||||||||||||..........................||.||.||||.||||||||.||||.||.||.||.|__|.||||||||.|__|.||.||.||.||||.||....||.||||.||.||.||......||.||.||......||.||.||||.||.||.||.||.||.||||.||o||||.||.||.||.||.||.||||o||......||....||....||......||.||.|||| |||||||| ||||.||.||.||.|||| |||||||| ||||.||.||.||.                  .||.||.||||||| |||--||| |||||||.||.||||||| |______| |||||||.||.        |______|        .||.||||||| |______| |||||||.||.||||||| |||||||| |||||||.||....||.            .||....|||||.||.|||| || ||||.||.||||||||.||.|||| || ||||.||.||||    .........||.........    ||||.|||||.||||||.|||||.||||||||.|||||.||||||.|||||.|||||....||......  ......||....||.||.||.||||.||.||||.||.||.||.||.||.||||.||.||||.||.||.||.||.........||.........||.||o|||||.||.||||||.||.|||||o||.|||||.||.||||||.||.|||||.||.......||........||.......|||||||||||||||||||||||||||||"
};

#endif